#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:            makemkv
Version:	1.9.1
Release:	1.1
Summary:	One-click video converter
Group:		Multimedia
License:	unknown
Url:		http://www.makemkv.com/
BuildRequires:	gcc-c++ openssl-devel libqt4-devel Mesa-devel libexpat-devel pkg-config
BuildRequires:	update-desktop-files

BuildRequires:	ffmpeg-devel
Source0:	makemkv-oss-%{version}.tar.bz2
Source1:	makemkv-bin-%{version}.tar.bz2
Source2:	playBluRay.tar.bz2
Patch2:		playBluRay-vlc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Requires:	curl vlc
Provides:	playBluRay
Provides:	playbluray

%description
MakeMKV is your one-click solution to convert video that you own into
free and patents-unencumbered format that can be played everywhere.
MakeMKV is a format converter, otherwise called "transcoder".
It converts the video clips from proprietary (and usually encrypted)
disc into a set of MKV files, preserving most information but not
changing it in any way. The MKV format can store multiple video/audio
tracks with all meta-information and preserve chapters.
There are many players that can play MKV files nearly on all platforms,
and there are tools to convert MKV files to many formats, including DVD
and Blu-ray discs.

Additionally MakeMKV can instantly stream decrypted video without
intermediate conversion to wide range of players, so you may watch
Blu-ray and DVD discs with your favorite player on your favorite OS or
on your favorite device.

%prep
%setup -n %{name} -c -T -a 0 -b 1 -b 2
%patch2

%build
cd makemkv-oss-%{version}
mkdir -p tmp
touch tmp/eula_accepted
#make -f makefile.linux %{?jobs:-j%jobs}
%configure
%__make
cd ../makemkv-bin-%{version}
mkdir -p tmp
touch tmp/eula_accepted
%__make %{?jobs:-j%jobs}

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_datadir}/MakeMKV
cd makemkv-oss-%{version}
%__make DESTDIR=%{buildroot} BINDIR=%{_bindir} LIBDIR=%{_libdir} install
cd ../makemkv-bin-%{version}
%__make DESTDIR=%{buildroot} BINDIR=%{_bindir} LIBDIR=%{_libdir} install
cd ../playBluRay/
install -m0755 playBluRay.sh %{buildroot}%{_bindir}/playBluRay
install -D -m0644 playBluRay-icon.png %{buildroot}%{_datadir}/pixmaps/playbluray.png
%suse_update_desktop_file -c playBluRay playBluRay "streams bluray" %{_bindir}/playBluRay %{_datadir}/pixmaps/playbluray.png Utilities

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%{_bindir}/playBluRay
%{_bindir}/makemkv
%{_bindir}/makemkvcon
%{_bindir}/mmdtsdec
%{_libdir}/libdriveio.so.0
%{_libdir}/libmakemkv.so.1
%{_libdir}/libmmbd.so.0
%dir %{_datadir}/MakeMKV
%{_datadir}/MakeMKV/makemkv_deu.mo.gz
%{_datadir}/MakeMKV/makemkv_dut.mo.gz
%{_datadir}/MakeMKV/makemkv_jpn.mo.gz
%{_datadir}/MakeMKV/makemkv_ptb.mo.gz
%{_datadir}/MakeMKV/makemkv_spa.mo.gz
%{_datadir}/MakeMKV/makemkv_swe.mo.gz
%{_datadir}/MakeMKV/makemkv_chi.mo.gz
%{_datadir}/MakeMKV/makemkv_ita.mo.gz
%{_datadir}/MakeMKV/makemkv_pol.mo.gz
%{_datadir}/MakeMKV/makemkv_dan.mo.gz
%{_datadir}/MakeMKV/makemkv_fra.mo.gz
%{_datadir}/pixmaps/playbluray.png
%{_datadir}/applications/playBluRay.desktop
%{_datadir}/MakeMKV/default.mmcp.xml
%{_datadir}/MakeMKV/flac.mmcp.xml
%{_datadir}/MakeMKV/wdtv.mmcp.xml
%{_datadir}/MakeMKV/aac-stereo.mmcp.xml
%{_datadir}/applications/makemkv.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/22x22
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/128x128/apps
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/22x22/apps
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/64x64/apps
%{_datadir}/icons/hicolor/128x128/apps/makemkv.png
%{_datadir}/icons/hicolor/16x16/apps/makemkv.png
%{_datadir}/icons/hicolor/22x22/apps/makemkv.png
%{_datadir}/icons/hicolor/32x32/apps/makemkv.png
%{_datadir}/icons/hicolor/64x64/apps/makemkv.png

%changelog
* Sun Jan 25 2015 cs@linux-administrator.com
- update to version 1.9.1
* Sun Dec  7 2014 cs@linux-administrator.com
- update to version 1.9.0
* Sat Mar  1 2014 cs@linux-administrator.com
- update to version 1.8.9
* Fri Jan  3 2014 cs@linux-administrator.com
- update to version 1.8.7
* Sat May 11 2013 cs@linux-administrator.com
- update to version 1.8.1
* Fri Jan  4 2013 cs@linux-administrator.com
- update to version 1.7.10
* Sun Feb  5 2012 cs@linux-administrator.com
- update to version 1.7.1
* Wed Dec 28 2011 cs@linux-administrator.com
- update to version 1.7.0
